libstdc++: std::uniform_real_distribution< _RealType >::param_type Struct Reference

libstdc++

std::uniform_real_distribution< _RealType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef uniform_real_distribution< _RealType > | distribution_type

## Public Member Functions
| param_type (_RealType __a, _RealType __b=_RealType(1))
result_type | a () const
result_type | b () const

## Friends
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _RealType = double>
struct std::uniform_real_distribution< _RealType >::param_type

Parameter type.

Definition at line 2526 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _RealType = double>

typedef uniform_real_distribution<_RealType> std::uniform_real_distribution< _RealType >::param_type::distribution_type

Definition at line 2528 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 2530 of file random.h.

## ◆ param_type() [2/2]

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::param_type::param_type | ( | _RealType | __a,
|  | _RealType | __b = _RealType(1) )
| inlineexplicit

Definition at line 2533 of file random.h.

## Member Function Documentation

## ◆ a()

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::param_type::a | ( |  | ) | const
| inline

Definition at line 2540 of file random.h.

## ◆ b()

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::param_type::b | ( |  | ) | const
| inline

Definition at line 2544 of file random.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 2548 of file random.h.

The documentation for this struct was generated from the following file:

- random.h